Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Enum Class ContentFilterSeverityResult.SeverityEnum

java.lang.Object
java.lang.Enum<ContentFilterSeverityResult.SeverityEnum>
com.sap.ai.sdk.foundationmodels.openai.generated.model.ContentFilterSeverityResult.SeverityEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentFilterSeverityResult.SeverityEnum>`, `Constable`

Enclosing class:
  `ContentFilterSeverityResult`

public static enum ContentFilterSeverityResult.SeverityEnum extends Enum<ContentFilterSeverityResult.SeverityEnum>
Gets or Sets severity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGH`
  The HIGH option of this ContentFilterSeverityResult
  `LOW`
  The LOW option of this ContentFilterSeverityResult
  `MEDIUM`
  The MEDIUM option of this ContentFilterSeverityResult
  `SAFE`
  The SAFE option of this ContentFilterSeverityResult
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this ContentFilterSeverityResult

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContentFilterSeverityResult.SeverityEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static ContentFilterSeverityResult.SeverityEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContentFilterSeverityResult.SeverityEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SAFE

    public static final ContentFilterSeverityResult.SeverityEnum SAFE
    The SAFE option of this ContentFilterSeverityResult

  - ### LOW

    public static final ContentFilterSeverityResult.SeverityEnum LOW
    The LOW option of this ContentFilterSeverityResult

  - ### MEDIUM

    public static final ContentFilterSeverityResult.SeverityEnum MEDIUM
    The MEDIUM option of this ContentFilterSeverityResult

  - ### HIGH

    public static final ContentFilterSeverityResult.SeverityEnum HIGH
    The HIGH option of this ContentFilterSeverityResult

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final ContentFilterSeverityResult.SeverityEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this ContentFilterSeverityResult

- ## Method Details

  - ### values

    public static ContentFilterSeverityResult.SeverityEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContentFilterSeverityResult.SeverityEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<ContentFilterSeverityResult.SeverityEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static ContentFilterSeverityResult.SeverityEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type ContentFilterSeverityResult